/* ------------------------------------------------------
 * Copyright (c) 2023 udon
 * Released under the MIT license
 * http://opensource.org/licenses/mit-license.php
 * ------------------------------------------------------*/
/*:
@target MZ
@author udon
@plugindesc
戦闘中に行動しているメンバーのウィンドウの色が変わります。 ver.1.0.0

@help
戦闘中、行動中の味方のステータスウィンドウの色が変化します。
これにより、どのメンバーが行動しているのかが視覚的に分かりやすくなります。

## ツクールバージョン ##
RPGツクールMZ Version 1.6.1 で動作確認。

## 最終更新日 ##
2023/07/01

## 備考 ##
不具合報告や要望は以下まで連絡いただけると助かります。
https://twitter.com/udon2481
*/

var Imported = Imported || {};
Imported["VblBattleMemberAssertion"] = 1.0;

(() => {
    "use strict";

    // アクター行動開始
    const vblBattleManagerStartAction = BattleManager.startAction;
    BattleManager.startAction = function () {
        // ステータスウィンドウを選択状態にする。
        const scene_Battle = SceneManager._scene;
        scene_Battle._statusWindow.selectActor(this._subject);

        vblBattleManagerStartAction.apply(this);
    };

    // アクター行動終了
    const vblBattleManagerEndAction = BattleManager.endAction;
    BattleManager.endAction = function () {
        vblBattleManagerEndAction.apply(this);

        // ステータスウィンドウの選択状態を解除する。
        const scene_Battle = SceneManager._scene;
        scene_Battle._statusWindow.deselect();
    };
})();
